The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

cPanel update cannot proceed because the following feature is out of date: suexec

Discussion in 'EasyApache' started by Ajdin, Aug 6, 2016.

Tags:
  1. Ajdin

    Ajdin Member

    Joined:
    Sep 17, 2015
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Novi Travnik
    cPanel Access Level:
    Root Administrator
    Hi,

    This morning i get error from cpanel/whm update.

    Code:
    [2016-08-06 03:29:35 +0200] W NOTE: A system upgrade was not possible due to the following blockers:
    [2016-08-06 03:29:35 +0200] W [FATAL] -
    [2016-08-06 03:29:35 +0200] W [THE CPANEL & WHM UPDATE CANNOT PROCEED BECAUSE THE FOLLOWING FEATURE IS OUT OF DATE: SUEXEC

    Please tell me how to fix this issue.

    Kind regards.
     
    #1 Ajdin, Aug 6, 2016
    Last edited by a moderator: Aug 7, 2016
  2. EHR

    EHR Member

    Joined:
    Apr 18, 2012
    Messages:
    11
    Likes Received:
    2
    Trophy Points:
    3
    cPanel Access Level:
    Root Administrator
    I've noticed same error message today on multiple servers and I'd like to know too if there is another way to fix it instead recompiling EA or migrating to EA4 (which still leads to issues).
    On the other hand, while trying to click/access the link from "Details" (The last attempt to update cPanel & WHM was blocked) there is no longer an popup window to explain the error; it simply does nothing.
     
  3. rs-freddo

    rs-freddo Well-Known Member

    Joined:
    May 13, 2003
    Messages:
    832
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    Australia
    cPanel Access Level:
    Root Administrator
    same problem. apache was updated on July 23. Updating apache again now...
     
  4. rs-freddo

    rs-freddo Well-Known Member

    Joined:
    May 13, 2003
    Messages:
    832
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    Australia
    cPanel Access Level:
    Root Administrator
    rebuilding apache via EA3 enabled cpanel update.
     
  5. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,678
    Likes Received:
    648
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello,

    This is addressed in the cPanel 58 Release Notes:

    There's no other workaround other than the methods referenced in this quote.

    Internal case CPANEL-7805 was opened to ensure the "Details" link works as intended. I'll update this thread once the resolution is published.

    Thank you.
     
  6. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,678
    Likes Received:
    648
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello,

    The resolution associated with CPANEL-7805 is included with cPanel version 58.0.17:

    Fixed case CPANEL-7805: Modify whostmgr10 to correctly handle multiline update blockers.

    This version is currently published to the "Edge" and "Current" build tiers. You can review the full change log, information on updating cPanel/WHM, and information on the build/release process at:

    58 Change Log - Change Logs - cPanel Documentation
    How can I update cPanel & WHM?
    Product Versions and the Release Process - cPanel Knowledge Base - cPanel Documentation

    Thank you.
     
Loading...

Share This Page